Subject: Bug#402: [X2Go-Dev] Bug#402: Bug#402: Numlock issues

From: Mike Gabriel <[email-masked]>
Date: Thu, 10 Apr 2014 11:29:54 +0000

Hi Jordi,
(I am re-Cc:-ing #402 in our BTS, hope that's ok...)

On  Do 10 Apr 2014 12:03:02 CEST, jordi wrote:

>> Hi Jordi,
>>
>> On  Sa 05 Apr 2014 19:45:20 CEST, Jordi MarquÃ©s wrote:
>>
>>> Hello Mike, sorry for late answer.
>>>
>>> I have looked at it, so what you need is a simple bash script. I can
>>> do that. Could I write it and send it to you?
>>>
>>> If so, I think I can do it on monday.
>>>
>>> Jordi.
>>
>> Sure, send it to me.
>>
>> Make sure that X2Go session startup does not break local session
>> startup. So if you change something in pre-runcommand.d, make sure it
>> gets restored in post-runcommand.d.
>
> Hello Mike,
>
> sorry again for being late, I've got more work than I can handle.
>
> Please take a look at this post-runcommand.d http://paste.debian.net/92885/
> and this pre-runcommand.d: http://paste.debian.net/92886/ .
>
> I write to files to save the state of the two settings previous to being
> modified so I can restore it. I set a folder variable where I save those
> files. Would that be a correct way to work inside X2go? I set them to /tmp
> to test, please modify them accordingly to what would be the best value.
>
> Not directly related to this, I've played also with the reduced_resources
> variable, which set to true, disables completely windows animations, and
> makes window moving be done with a classic transparent line drawn box,
> instead of the real window image. I've applied to my users, if you find it
> interesting to try tell me to add it.

The approach is good. I have copied both scripts from paste.debian.net  
to my local working copy of x2gomatebindings. Thanks!

However, one thought:

With your proposed approach, the dconf/gsettings setup remains  
X2Go'ish for the duration of the X2Go Session.

It would be good, to make those settings and remove them immediately,  
after the session has successfully come up. I am not sure how MATE  
will behave if you launch the post-runcommand script 20 minutes after  
the session has come up.

And another thought...

Another approach actually is... Talking to MATE upstream and asking  
them to patch their code directly (i.e. ignore those settings / use  
pre-set value if MATE runs inside an X2Go session). I will talk to  
Stefano & co. about that (who is MATE upstream).

Greets,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb